Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 638776 - app-portage/gemato: keywordreq
Summary: app-portage/gemato: keywordreq
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michał Górny
URL:
Whiteboard:
Keywords:
Depends on: 634818 634936
Blocks:
  Show dependency tree
 
Reported: 2017-11-25 10:01 UTC by Michał Górny
Modified: 2018-09-16 13:00 UTC (History)
6 users (show)

See Also:
Package list:
app-portage/gemato-12.0 dev-python/bz2file-0.98 dev-python/backports-lzma-0.0.10 sys-apps/portage-2.3.24-r1
Runtime testing required: No


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-11-25 10:01:04 UTC
Gemato is the tooling to process & verify MetaManifests. It has a very complete test suite, so no runtime testing necessary.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-11-25 10:02:48 UTC
Target keywords: everywhere where Portage runs.
Comment 2 Stabilization helper bot gentoo-dev 2017-11-25 11:01:09 UTC
An automated check of this bug failed - repoman reported dependency errors (51 lines truncated): 

> dependency.bad app-portage/gemato/gemato-4.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0) ['dev-python/bz2file[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]', 'dev-python/backports-lzma[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]']
> dependency.bad app-portage/gemato/gemato-4.ebuild: RDEPEND: ~alpha(default/linux/alpha/13.0) ['dev-python/bz2file[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]', 'dev-python/backports-lzma[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]']
> dependency.bad app-portage/gemato/gemato-4.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0/desktop) ['dev-python/bz2file[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]', 'dev-python/backports-lzma[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]']
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-11-25 11:22:37 UTC
As for the two dependencies, feel free to either keyword them or mask USE={bzip2,lzma} on gemato.
Comment 4 Stabilization helper bot gentoo-dev 2017-11-25 12:01:54 UTC
An automated check of this bug failed - repoman reported dependency errors (1 lines truncated): 

> dependency.bad app-portage/gemato/gemato-4.ebuild: DEPEND: ~arm(default/linux/arm/13.0) ['dev-python/pysha3[python_targets_python2_7(-)?,-python_single_target_python2_7(-),python_targets_python3_4(-)?,-python_single_target_python3_4(-),python_targets_python3_5(-)?,-python_single_target_python3_5(-)]']
> dependency.bad app-portage/gemato/gemato-4.ebuild: RDEPEND: ~arm(default/linux/arm/13.0) ['dev-python/pysha3[python_targets_python2_7(-)?,-python_single_target_python2_7(-),python_targets_python3_4(-)?,-python_single_target_python3_4(-),python_targets_python3_5(-)?,-python_single_target_python3_5(-)]']
> dependency.bad app-portage/gemato/gemato-4.ebuild: DEPEND: ~hppa(default/linux/hppa/13.0) ['dev-python/pysha3[python_targets_python2_7(-)?,-python_single_target_python2_7(-),python_targets_python3_4(-)?,-python_single_target_python3_4(-),python_targets_python3_5(-)?,-python_single_target_python3_5(-)]']
Comment 5 Fabian Groffen gentoo-dev 2017-11-25 14:36:33 UTC
is this going to be a portage/repoman dependency?
Comment 6 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-11-25 15:01:22 UTC
Most likely yes, since it provides very flexible API for partial verification.
Comment 7 Stabilization helper bot gentoo-dev 2017-11-25 15:01:56 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 8 Sergei Trofimovich gentoo-dev 2017-11-26 21:02:58 UTC
~ppc/~ppc64 keyworded
Comment 9 Sergei Trofimovich gentoo-dev 2017-11-27 08:48:11 UTC
~ia64 keyworded
Comment 10 Sergei Trofimovich gentoo-dev 2017-12-04 22:10:35 UTC
~sparc keyworded (thanks to Rolf Eike Beer)
Comment 11 Sergei Trofimovich gentoo-dev 2017-12-21 13:08:10 UTC
~hppa keyworded
Comment 12 Markus Meier gentoo-dev 2017-12-23 11:18:23 UTC
~arm64 added
Comment 13 Markus Meier gentoo-dev 2017-12-25 19:22:48 UTC
~arm added
Comment 14 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-01-30 08:25:50 UTC
(included portage 2.3.21)
Comment 15 Stabilization helper bot gentoo-dev 2018-02-02 19:00:30 UTC
An automated check of this bug failed - the following atoms are unknown:

sys-apps/portage-2.3.21
app-portage/gemato-10.3

Please verify the atom list.
Comment 16 Stabilization helper bot gentoo-dev 2018-02-03 18:00:45 UTC
An automated check of this bug failed - repoman reported dependency errors:
Comment 17 Joshua Kinard gentoo-dev 2018-02-05 17:11:08 UTC
I want to add ~mips, but repoman has issues:
RepoMan scours the neighborhood...
  metadata.bad [fatal]          1
   app-portage/gemato/metadata.xml: unused local USE-description: 'portage-postsync'

I thought the USE flag to control this was 'rsync-verify', except that flag isn't defined in metadata.xml.  I have that USE disabled on my x86_64 for expediency at the moment, but it apparently still tried to run a verify and threw a traceback when it couldn't find gemato.  So which USE is the correct USE to control the use of gemato?  The NEWS blurb suggests I will want to disable this on my MIPS machines due to slow I/O.
Comment 18 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-02-05 18:24:09 UTC
(In reply to Joshua Kinard from comment #17)
> I want to add ~mips, but repoman has issues:
> RepoMan scours the neighborhood...
>   metadata.bad [fatal]          1
>    app-portage/gemato/metadata.xml: unused local USE-description:
> 'portage-postsync'

Fixed.

> 
> I thought the USE flag to control this was 'rsync-verify', except that flag
> isn't defined in metadata.xml.  I have that USE disabled on my x86_64 for
> expediency at the moment, but it apparently still tried to run a verify and
> threw a traceback when it couldn't find gemato.  So which USE is the correct
> USE to control the use of gemato?  The NEWS blurb suggests I will want to
> disable this on my MIPS machines due to slow I/O.

It's on sys-apps/portage.
Comment 19 Joshua Kinard gentoo-dev 2018-02-06 07:24:47 UTC
(In reply to Michał Górny from comment #18)
> (In reply to Joshua Kinard from comment #17)
> > I want to add ~mips, but repoman has issues:
> > RepoMan scours the neighborhood...
> >   metadata.bad [fatal]          1
> >    app-portage/gemato/metadata.xml: unused local USE-description:
> > 'portage-postsync'
> 
> Fixed.
> 
> > 
> > I thought the USE flag to control this was 'rsync-verify', except that flag
> > isn't defined in metadata.xml.  I have that USE disabled on my x86_64 for
> > expediency at the moment, but it apparently still tried to run a verify and
> > threw a traceback when it couldn't find gemato.  So which USE is the correct
> > USE to control the use of gemato?  The NEWS blurb suggests I will want to
> > disable this on my MIPS machines due to slow I/O.
> 
> It's on sys-apps/portage.

~mips is added to gemato, bz2file, and backports-lzma.  I haven't tested gemato yet on one of my MIPS systems.  Should be interesting to time the I/O on slower hardware.
Comment 20 Stabilization helper bot gentoo-dev 2018-02-07 22:00:44 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 21 Michael Haubenwallner gentoo-dev 2018-02-19 16:30:14 UTC
~x64-cygwin keyworded, though not a portage dep in Prefix yet.
Comment 22 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-02-21 17:20:41 UTC
~amd64-fbsd done
Comment 23 Larry the Git Cow gentoo-dev 2018-03-06 18:12:49 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2434e14beeba9febfd2e2aab00e276376f715792

commit 2434e14beeba9febfd2e2aab00e276376f715792
Author:     Mart Raudsepp <leio@gentoo.org>
AuthorDate: 2018-03-06 13:11:03 +0000
Commit:     Mart Raudsepp <leio@gentoo.org>
CommitDate: 2018-03-06 18:12:19 +0000

    sys-apps/portage-2.3.24-r1: re-add ~arm64
    
    Keyword was removed without a re-keywording bug. Or more exactly, it was
    added to package list after the previous package list was already done,
    and a re-CC was forgotten.
    
    Bug: https://bugs.gentoo.org/638776
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 sys-apps/portage/portage-2.3.24-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 24 Matt Turner gentoo-dev 2018-03-11 21:50:33 UTC
added ~alpha
Comment 25 Geoff Madden 2018-04-07 02:54:21 UTC
What to do when the verification falls over on the checking of the cert's.
In my case I now do not get a sync completed,please reset back to prior system,until this gemato thingy is actually working,or dump the idea.
A frustrated user.
Comment 26 Zac Medico gentoo-dev 2018-04-07 03:53:52 UTC
(In reply to Geoff Madden from comment #25)
> What to do when the verification falls over on the checking of the cert's.
> In my case I now do not get a sync completed,please reset back to prior
> system,

In the future there will be one or more of these options available:

1) on-demand verification

2) rollback

2) repository quarantine

> until this gemato thingy is actually working,or dump the idea.
> A frustrated user.

If you're experiencing bug 647696 or bug 648586, then please leave a comment there if you have some information to add. If your issue different from those, then please file a new bug and make it block bug 650144. Note that portage-2.3.28 has retry support for the key refresh, see bug 649276.
Comment 27 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-06-03 17:01:34 UTC
s390 was done
Comment 28 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-09-16 13:00:03 UTC
~m68k and ~sh done